Bug 1267391 - ImageMagick 6.8.8.10 lost the support for JPEG 2000 format (jp2 extension)
Summary: ImageMagick 6.8.8.10 lost the support for JPEG 2000 format (jp2 extension)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-29 21:57 UTC by Federico Leva
Modified: 2015-12-08 19:51 UTC (History)
3 users (show)

Fixed In Version: ImageMagick-6.9.2.7-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 19:51:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Federico Leva 2015-09-29 21:57:56 UTC
Previously filed as bug 1084694: ImageMagick 6.8.8.10 on Fedora 21 and 22 is missing the delegate for JPEG 2000, i.e. Jasper (OpenJPEG starting with 6.8.9-1 per http://www.imagemagick.org/discourse-server/viewtopic.php?p=117664#p117664 ).

$ convert -list format | grep JP2
$ convert -version
Version: ImageMagick 6.8.8-10 Q16 x86_64 2015-03-10 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2014 ImageMagick Studio LLC
Features: DPC Modules OpenMP
Delegates: bzlib cairo djvu fftw fontconfig freetype gslib jng jpeg lcms ltdl lzma openexr pangocairo png ps rsvg tiff webp wmf x xml zlib

As a result, "convert" actually makes no changes, for instance
$ convert 1.tiff 1.jp2
$ identify 1.jp2
1.jp2 TIFF 5144x7048 5144x7048+0+0 8-bit Grayscale Gray 36.33MB 0.000u 0:00.009

Comment 1 Federico Leva 2015-10-06 14:14:15 UTC
Or more verbosely:

$ convert -list configure

Path: /usr/lib64/ImageMagick-6.8.8//config-Q16/configure.xml

Name           Value
-------------------------------------------------------------------------------
CC             gcc -std=gnu99 -std=gnu99
CFLAGS         -I/usr/include/freetype2 -I/usr/include/libpng16 -fopenmp -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -fexceptions -pthread -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16
CODER_PATH     /usr/lib64/ImageMagick-6.8.8/modules-Q16/coders
CONFIGURE      ./configure  '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--program-prefix=' '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--enable-shared' '--disable-static' '--with-modules' '--with-perl' '--with-x' '--with-threads' '--with-magick_plus_plus' '--with-gslib' '--with-wmf' '--with-lcms2' '--with-webp' '--with-openexr' '--with-rsvg' '--with-xml' '--with-perl-options=INSTALLDIRS=vendor  CC='\''gcc -L/builddir/build/BUILD/ImageMagick-6.8.8-10/magick/.libs'\'' LDDLFLAGS='\''-shared -L/builddir/build/BUILD/ImageMagick-6.8.8-10/magick/.libs'\''' '--without-dps' '--without-included-ltdl' '--with-ltdl-include=/usr/include' '--with-ltdl-lib=/usr/lib64' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic' 'LDFLAGS=-Wl,-z,relro ' 'CXXFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic'
CONFIGURE_PATH /etc/ImageMagick-6/
COPYRIGHT      Copyright (C) 1999-2014 ImageMagick Studio LLC
CPPFLAGS       -I/usr/include/ImageMagick-6
CXX            g++
CXXFLAGS       -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -pthread
DEFS           -DHAVE_CONFIG_H
DELEGATES      bzlib djvu mpeg fftw fontconfig freetype gslib jng jpeg lcms lzma openexr pango png ps rsvg tiff webp wmf x xml zlib
DISTCHECK_CONFIG_FLAGS 'CFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic' 'LDFLAGS=-Wl,-z,relro ' --disable-deprecated --with-quantum-depth=16 --with-umem=no --with-autotrace=no --with-dps=no --with-fontpath= --with-gvc=no --with-mupdf=no
DOCUMENTATION_PATH /usr/share/doc/ImageMagick-6
EXEC-PREFIX    /usr
EXECUTABLE_PATH /usr/bin
FEATURES       DPC OpenMP Modules
FILTER_PATH    /usr/lib64/ImageMagick-6.8.8/modules-Q16/filters
HOST           x86_64-redhat-linux-gnu
INCLUDE_PATH   /usr/include/ImageMagick-6
LDFLAGS        -L/usr/lib64 -Wl,-z,relro
LIB_VERSION    0x688
LIB_VERSION_NUMBER 6,8,8,10
LIBRARY_PATH   /usr/lib64/ImageMagick-6.8.8
LIBS           -llcms2 -lfreetype -lfftw3 -lfontconfig -lfreetype -lXext -lSM -lICE -lX11 -lXt -llzma -lbz2 -lz -lltdl -lm -lgomp
NAME           ImageMagick
PCFLAGS        -fopenmp -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16
PREFIX         /usr
QuantumDepth   16
RELEASE_DATE   2015-03-10
SHARE_PATH     /usr/share/ImageMagick-6
SHAREARCH_PATH /usr/lib64/ImageMagick-6.8.8/config-Q16
SVN_REVISION   15238
TARGET_CPU     x86_64
TARGET_OS      linux-gnu
TARGET_VENDOR  redhat
VERSION        6.8.8
WEBSITE        http://www.imagemagick.org

Path: [built-in]

Name           Value
-------------------------------------------------------------------------------
FEATURES       OpenMP
NAME           ImageMagick
QuantumDepth   16

Comment 2 Fedora Update System 2015-12-06 21:06:11 UTC
ImageMagick-6.9.2.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7faffa80f1

Comment 3 Fedora Update System 2015-12-07 05:30:11 UTC
ImageMagick-6.9.2.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3a5cebb105

Comment 4 Fedora Update System 2015-12-07 23:21:59 UTC
ImageMagick-6.9.2.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ImageMagick'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3a5cebb105

Comment 5 Fedora Update System 2015-12-08 04:32:49 UTC
ImageMagick-6.9.2.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ImageMagick'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7faffa80f1

Comment 6 Federico Leva 2015-12-08 09:47:40 UTC
(In reply to Fedora Update System from comment #5)
> If you want to test the update, you can install it with
> $ su -c 'dnf --enablerepo=updates-testing update ImageMagick'
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-7faffa80f1

Confirmed fixed:

$ wget -q https://upload.wikimedia.org/wikipedia/commons/1/19/Aesopus_-_Aesopus_constructus%2C_1495.tiff
$ convert Aesopus_-_Aesopus_constructus,_1495.tiff Aesopus_-_Aesopus_constructus,_1495.jp2
$ identify Aesopus_-_Aesopus_constructus,_1495.jp2 
Aesopus_-_Aesopus_constructus,_1495.jp2 JP2 1744x2515 1744x2515+0+0 8-bit sRGB 8.491MB 0.000u 0:00.000
$ convert -list format | grep JP2
      J2C* JP2       rw-   JPEG-2000 Code Stream Syntax (2.1.0)
      J2K* JP2       rw-   JPEG-2000 Code Stream Syntax (2.1.0)
      JP2* JP2       rw-   JPEG-2000 File Format Syntax (2.1.0)
      JPC* JP2       rw-   JPEG-2000 Code Stream Syntax (2.1.0)
      JPM* JP2       rw-   JPEG-2000 Code Stream Syntax (2.1.0)
      JPT* JP2       rw-   JPEG-2000 File Format Syntax (2.1.0)
$ convert -version
Version: ImageMagick 6.9.2-7 Q16 x86_64 2015-12-06 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2015 ImageMagick Studio LLC
License: http://www.imagemagick.org/script/license.php
Features: Cipher DPC Modules OpenMP 
Delegates (built-in): bzlib cairo djvu fftw fontconfig freetype gslib jbig jng jp2 jpeg lcms ltdl lzma openexr pangocairo png ps rsvg tiff webp wmf x xml zlib
$ convert -list configure

Path: /usr/lib64/ImageMagick-6.9.2//config-Q16/configure.xml

Name           Value
-------------------------------------------------------------------------------
CC             gcc
CFLAGS         -I/usr/include/libxml2  -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16  -pthread -I/usr/include/librsvg-2.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16  -I/usr/include/libpng16   -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16  -pthread -I/usr/include/OpenEXR -I/usr/include/libdrm   -I/usr/include/openjpeg-2.1   -I/usr/include/freetype2 -I/usr/include/libpng16  -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libpng16  -pthread     -fopenmp -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fexceptions -pthread -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16
CODER_PATH     /usr/lib64/ImageMagick-6.9.2/modules-Q16/coders
CONFIGURE      ./configure  '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--program-prefix=' '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--enable-shared' '--disable-static' '--with-modules' '--with-perl' '--with-x' '--with-threads' '--with-magick_plus_plus' '--with-gslib' '--with-wmf' '--with-webp' '--with-openexr' '--with-rsvg' '--with-xml' '--with-perl-options=INSTALLDIRS=vendor  CC='\''gcc -L/builddir/build/BUILD/ImageMagick-6.9.2-7/magick/.libs'\'' LDDLFLAGS='\''-shared -L/builddir/build/BUILD/ImageMagick-6.9.2-7/magick/.libs'\''' '--without-dps' '--without-gcc-arch' '--with-jbig' '--with-openjp2' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic' 'LDFLAGS=-Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld' 'CXXFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic' 'PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'
CONFIGURE_PATH /etc/ImageMagick-6/
COPYRIGHT      Copyright (C) 1999-2015 ImageMagick Studio LLC
CPPFLAGS       -I/usr/include/ImageMagick-6
CXX            g++
CXXFLAGS       -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -pthread
DEFS           -DHAVE_CONFIG_H
DELEGATES      bzlib djvu mpeg fftw fontconfig freetype gslib jbig jng jpeg lcms lzma openexr openjp2 pango png ps rsvg tiff webp wmf x xml zlib
DISTCHECK_CONFIG_FLAGS 'CFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic' 'LDFLAGS=-Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'  --disable-deprecated  --with-quantum-depth=16  --with-jemalloc=no  --with-umem=no  --with-autotrace=no  --with-dps=no  --with-fontpath= 
DOCUMENTATION_PATH /usr/share/doc/ImageMagick-6
EXEC-PREFIX    /usr
EXECUTABLE_PATH /usr/bin
FEATURES       DPC Cipher OpenMP Modules
FILTER_PATH    /usr/lib64/ImageMagick-6.9.2/modules-Q16/filters
GIT_REVISION   10369
HOST           x86_64-redhat-linux-gnu
INCLUDE_PATH   /usr/include/ImageMagick-6
LDFLAGS        -L/usr/lib64 -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld 
LIB_VERSION    0x692
LIB_VERSION_NUMBER 6,9,2,7
LIBRARY_PATH   /usr/lib64/ImageMagick-6.9.2
LIBS            -llcms2  -lfreetype   -lfftw3  -lfontconfig -lfreetype  -lXext   -lSM -lICE -lX11  -lXt -llzma  -lbz2 -L/usr/lib64 -lz  -lltdl  -lm -lgomp    
NAME           ImageMagick
PCFLAGS        -fopenmp -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16
PREFIX         /usr
QuantumDepth   16
RELEASE_DATE   2015-12-06
SHARE_PATH     /usr/share/ImageMagick-6
SHAREARCH_PATH /usr/lib64/ImageMagick-6.9.2/config-Q16
TARGET_CPU     x86_64
TARGET_OS      linux-gnu
TARGET_VENDOR  redhat
VERSION        6.9.2
WEBSITE        http://www.imagemagick.org

Path: [built-in]

Name           Value
-------------------------------------------------------------------------------
FEATURES       OpenMP 
NAME           ImageMagick
QuantumDepth   16

Comment 7 Fedora Update System 2015-12-08 19:51:29 UTC
ImageMagick-6.9.2.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.